| Home | Libraries | People | FAQ | More

##### basic_socket_acceptor::basic_socket_acceptor (2 of 4 overloads)

Construct an open acceptor.

    basic_socket_acceptor(
        boost::asio::io_service & io_service,
        const protocol_type & protocol);

This constructor creates an acceptor and automatically opens it.

###### Parameters

io_service

  The io_service object that the acceptor will use to dispatch handlers for any asynchronous operations performed on the acceptor.

protocol

  An object specifying protocol parameters to be used.

###### Exceptions

boost::system::system_error

  Thrown on failure.